Fl.H File Reference

Fl static class. More...

`#include <FL/Fl_Cairo.H>`
`#include "fl_utf8.h"`
`#include "Enumerations.H"`

Go to the source code of this file.

## Classes

class | Fl
| The Fl is the FLTK global (static) class containing state information and global methods for the current application. More...
class | Fl_Widget_Tracker
| This class should be used to control safe widget deletion. More...

## Macros

#define | Fl_Object Fl_Widget
| for back compatibility - use Fl_Widget!
#define | FL_SOCKET int

## Typedefs

typedef void(* | Fl_Abort_Handler )(const char *format,...)
| Signature of set_abort functions passed as parameters.
typedef int(* | Fl_Args_Handler )(int argc, char **argv, int &i)
| Signature of args functions passed as parameters.
typedef void(* | Fl_Atclose_Handler )(Fl_Window *window, void *data)
| Signature of set_atclose functions passed as parameters.
typedef void(* | Fl_Awake_Handler )(void *data)
| Signature of some wakeup callback functions passed as parameters.
typedef void( | Fl_Box_Draw_F )(int x, int y, int w, int h, Fl_Color color)
| Signature of some box drawing functions passed as parameters.
typedef int(* | Fl_Event_Dispatch )(int event, Fl_Window *w)
| Signature of event_dispatch functions passed as parameters. More...
typedef int(* | Fl_Event_Handler )(int event)
| Signature of add_handler functions passed as parameters.
typedef void(* | Fl_FD_Handler )(FL_SOCKET fd, void *data)
| Signature of add_fd functions passed as parameters.
typedef void(* | Fl_Idle_Handler )(void *data)
| Signature of add_idle callback functions passed as parameters.
typedef void( | Fl_Label_Draw_F )(const Fl_Label *label, int x, int y, int w, int h, Fl_Align align)
| Signature of some label drawing functions passed as parameters.
typedef void( | Fl_Label_Measure_F )(const Fl_Label *label, int &width, int &height)
| Signature of some label measurement functions passed as parameters.
typedef void(* | Fl_Old_Idle_Handler )()
| Signature of set_idle callback functions passed as parameters.
typedef void(* | Fl_Timeout_Handler )(void *data)
| Signature of some timeout callback functions passed as parameters.

## Detailed Description

Fl static class.

- © 1998-2012 by Bill Spitzak and others.